<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.sensors</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        Module&nbsp;sensors
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.sensors-module.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module sensors</h1><span class="codelink"><a href="screenlets.sensors-pysrc.html">source&nbsp;code</a></span><br /><br />
<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.sensors.Sensor-class.html" class="summary-name">Sensor</a><br />
      A base class for deriving new Sensor-types from.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.sensors.CPUSensor-class.html" class="summary-name">CPUSensor</a><br />
      A very simple CPU-sensor.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.sensors.MemorySensor-class.html" class="summary-name">MemorySensor</a>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.sensors.NetSensor-class.html" class="summary-name">NetSensor</a>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_"></a><span class="summary-sig-name">_</span>(<span class="summary-sig-arg">s</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#_">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_load"></a><span class="summary-sig-name">cpu_get_load</span>(<span class="summary-sig-arg">processor_number</span>=<span class="summary-sig-default">0</span>)</span><br />
      Calculates the system load.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_load">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_cpu_name"></a><span class="summary-sig-name">cpu_get_cpu_name</span>()</span><br />
      Returns Cpu Name</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_cpu_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_cpu_list"></a><span class="summary-sig-name">cpu_get_cpu_list</span>()</span><br />
      Returns Cpu List</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_cpu_list">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_nb_cpu"></a><span class="summary-sig-name">cpu_get_nb_cpu</span>()</span><br />
      Returns Cpu Number</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_nb_cpu">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_current_freq"></a><span class="summary-sig-name">cpu_get_current_freq</span>()</span><br />
      Returns Cpu frequency</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_current_freq">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cpu_get_current_gov"></a><span class="summary-sig-name">cpu_get_current_gov</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns Cpu governator</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cpu_get_current_gov">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_available_freq"></a><span class="summary-sig-name">get_available_freq</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns available frequencies</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#get_available_freq">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_available_gov"></a><span class="summary-sig-name">get_available_gov</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns available governators</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#get_available_gov">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_uptime_long"></a><span class="summary-sig-name">sys_get_uptime_long</span>()</span><br />
      Returns uptime extended version</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_uptime_long">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_uptime"></a><span class="summary-sig-name">sys_get_uptime</span>()</span><br />
      Returns uptime</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_uptime">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_username"></a><span class="summary-sig-name">sys_get_username</span>()</span><br />
      Returns username</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_username">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_hostname"></a><span class="summary-sig-name">sys_get_hostname</span>()</span><br />
      Get hostname</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_hostname">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_average_load"></a><span class="summary-sig-name">sys_get_average_load</span>()</span><br />
      Get average load (as 3-tuple with floats).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_average_load">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_distrib_name"></a><span class="summary-sig-name">sys_get_distrib_name</span>()</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_distrib_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_distroshort"></a><span class="summary-sig-name">sys_get_distroshort</span>()</span><br />
      Get distro short name</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_distroshort">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_desktop_enviroment"></a><span class="summary-sig-name">sys_get_desktop_enviroment</span>()</span><br />
      shows kde or gnome or xface</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_desktop_enviroment">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_kernel_version"></a><span class="summary-sig-name">sys_get_kernel_version</span>()</span><br />
      Returns kernel version</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_kernel_version">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_kde_version"></a><span class="summary-sig-name">sys_get_kde_version</span>()</span><br />
      Returns kde version</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_kde_version">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_gnome_version"></a><span class="summary-sig-name">sys_get_gnome_version</span>()</span><br />
      Returns gnome version</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_gnome_version">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_linux_version"></a><span class="summary-sig-name">sys_get_linux_version</span>()</span><br />
      Get linux version string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_linux_version">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_full_info"></a><span class="summary-sig-name">sys_get_full_info</span>()</span><br />
      Get cpu info from /proc/cpuinfo.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_full_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sys_get_window_manager"></a><span class="summary-sig-name">sys_get_window_manager</span>()</span><br />
      Returns window manager name</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sys_get_window_manager">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_freemem"></a><span class="summary-sig-name">mem_get_freemem</span>()</span><br />
      Get free memory.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_freemem">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_usedmem"></a><span class="summary-sig-name">mem_get_usedmem</span>()</span><br />
      Get used memory.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_usedmem">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_usage"></a><span class="summary-sig-name">mem_get_usage</span>()</span><br />
      Returns memory usage</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_usage">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_total"></a><span class="summary-sig-name">mem_get_total</span>()</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_total">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_usedswap"></a><span class="summary-sig-name">mem_get_usedswap</span>()</span><br />
      Returns used swap</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_usedswap">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="mem_get_totalswap"></a><span class="summary-sig-name">mem_get_totalswap</span>()</span><br />
      Returns total swap</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#mem_get_totalswap">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="disk_get_drive_info"></a><span class="summary-sig-name">disk_get_drive_info</span>(<span class="summary-sig-arg">mount_point</span>)</span><br />
      Returns info about the given mount point (as dict).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#disk_get_drive_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="disk_get_swap"></a><span class="summary-sig-name">disk_get_swap</span>()</span><br />
      Get a list of swap partitions.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#disk_get_swap">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="disk_get_usage"></a><span class="summary-sig-name">disk_get_usage</span>(<span class="summary-sig-arg">disk_disk</span>)</span><br />
      Returns disk usage</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#disk_get_usage">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="disk_get_disk_list"></a><span class="summary-sig-name">disk_get_disk_list</span>()</span><br />
      Returns disk list</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#disk_get_disk_list">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="net_get_ip"></a><span class="summary-sig-name">net_get_ip</span>()</span><br />
      Returns ip if it can</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#net_get_ip">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="net_get_updown"></a><span class="summary-sig-name">net_get_updown</span>()</span><br />
      Returns upload and download</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#net_get_updown">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.sensors-module.html#net_get_activity" class="summary-sig-name">net_get_activity</a>(<span class="summary-sig-arg">device</span>)</span><br />
      This will return the total download and upload this session.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#net_get_activity">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="net_get_connections"></a><span class="summary-sig-name">net_get_connections</span>()</span><br />
      This will return the number of connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#net_get_connections">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="wir_get_interfaces"></a><span class="summary-sig-name">wir_get_interfaces</span>()</span><br />
      Returns wireless interfaces</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#wir_get_interfaces">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="wir_get_stats"></a><span class="summary-sig-name">wir_get_stats</span>(<span class="summary-sig-arg">interface</span>)</span><br />
      Returns wireless stats as dict.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#wir_get_stats">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_now"></a><span class="summary-sig-name">cal_get_now</span>()</span><br />
      Returns full now time and date</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_now">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_local_date"></a><span class="summary-sig-name">cal_get_local_date</span>()</span><br />
      returns date using local format</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_local_date">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_date"></a><span class="summary-sig-name">cal_get_date</span>()</span><br />
      returns date.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_date">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_local_time"></a><span class="summary-sig-name">cal_get_local_time</span>()</span><br />
      returns time using local format</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_local_time">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_time"></a><span class="summary-sig-name">cal_get_time</span>()</span><br />
      returns time</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_time">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_time24"></a><span class="summary-sig-name">cal_get_time24</span>()</span><br />
      returns 24 hour time</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_time24">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_time12"></a><span class="summary-sig-name">cal_get_time12</span>()</span><br />
      returns 12 hour time</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_time12">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_year"></a><span class="summary-sig-name">cal_get_year</span>()</span><br />
      returns the years.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_year">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_month"></a><span class="summary-sig-name">cal_get_month</span>()</span><br />
      returns the month</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_month">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_month_name"></a><span class="summary-sig-name">cal_get_month_name</span>()</span><br />
      returns the month name</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_month_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_day"></a><span class="summary-sig-name">cal_get_day</span>()</span><br />
      returns the day</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_day">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_day_monday"></a><span class="summary-sig-name">cal_get_day_monday</span>()</span><br />
      returns the number of the day of the week starting from monday</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_day_monday">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_day_sonday"></a><span class="summary-sig-name">cal_get_day_sonday</span>()</span><br />
      returns the number of the day of the week starting from sonday</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_day_sonday">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_day_name"></a><span class="summary-sig-name">cal_get_day_name</span>()</span><br />
      returns the day name</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_day_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_hour"></a><span class="summary-sig-name">cal_get_hour</span>()</span><br />
      returns the hour</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_hour">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_hour24"></a><span class="summary-sig-name">cal_get_hour24</span>()</span><br />
      returns the hour</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_hour24">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_hour12"></a><span class="summary-sig-name">cal_get_hour12</span>()</span><br />
      returns the hours</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_hour12">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_minute"></a><span class="summary-sig-name">cal_get_minute</span>()</span><br />
      returns minutes</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_minute">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_second"></a><span class="summary-sig-name">cal_get_second</span>()</span><br />
      returns seconds</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_second">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="cal_get_ampm"></a><span class="summary-sig-name">cal_get_ampm</span>()</span><br />
      return am/pm or None if not available</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#cal_get_ampm">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="bat_get_battery_list"></a><span class="summary-sig-name">bat_get_battery_list</span>()</span><br />
      Returns battery list</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#bat_get_battery_list">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="bat_get_data"></a><span class="summary-sig-name">bat_get_data</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Returns battery data</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#bat_get_data">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="bat_get_value"></a><span class="summary-sig-name">bat_get_value</span>(<span class="summary-sig-arg">line</span>)</span><br />
      Returns battery value</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#bat_get_value">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="bat_get_ac"></a><span class="summary-sig-name">bat_get_ac</span>()</span><br />
      Returns battery ac</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#bat_get_ac">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="process_get_list"></a><span class="summary-sig-name">process_get_list</span>()</span><br />
      Returns process list</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#process_get_list">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="process_get_top"></a><span class="summary-sig-name">process_get_top</span>()</span><br />
      Returns top list</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#process_get_top">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuType"></a><span class="summary-sig-name">getGpuType</span>()</span><br />
      return GPU Type to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuType">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuRam"></a><span class="summary-sig-name">getGpuRam</span>()</span><br />
      return GPU Ram size in MB to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuRam">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuDriver"></a><span class="summary-sig-name">getGpuDriver</span>()</span><br />
      return current GPU Driver version to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuDriver">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuResolution"></a><span class="summary-sig-name">getGpuResolution</span>()</span><br />
      return current screen resolution to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuResolution">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuRefreshRate"></a><span class="summary-sig-name">getGpuRefreshRate</span>()</span><br />
      return current refreshrate to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuRefreshRate">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuClock"></a><span class="summary-sig-name">getGpuClock</span>()</span><br />
      return current GPU Clock Frequency to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuClock">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuMemClock"></a><span class="summary-sig-name">getGpuMemClock</span>()</span><br />
      return current GPU Memory Clock Frequency to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuMemClock">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getGpuTemp"></a><span class="summary-sig-name">getGpuTemp</span>()</span><br />
      return current GPU Core Temperature to its caller</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#getGpuTemp">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sensors_get_sensors_list"></a><span class="summary-sig-name">sensors_get_sensors_list</span>()</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sensors_get_sensors_list">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="sensors_get_sensor_value"></a><span class="summary-sig-name">sensors_get_sensor_value</span>(<span class="summary-sig-arg">sensorName</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.sensors-pysrc.html#sensors_get_sensor_value">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="net_get_activity"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">net_get_activity</span>(<span class="sig-arg">device</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.sensors-pysrc.html#net_get_activity">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  This will return the total download and upload this session. As 
  2-tuple with floats).
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
